Class ContentProtectionIntegration
-
- All Implemented Interfaces:
public abstract class ContentProtectionIntegration
-
-
Constructor Summary
Constructors Constructor Description ContentProtectionIntegration()
-
Method Summary
Modifier and Type Method Description voidonCertificateRequest(@NonNull() Request request, @NonNull() CertificateRequestCallback callback)This handler can be used to wrap the certificate request in a new body, add authentication tokens, add HTTP headers, query parameters, ... voidonCertificateResponse(@NonNull() Response response, @NonNull() CertificateResponseCallback callback)This handler can be used to extract the certificate from a wrapped body, read HTTP response headers, ... voidonLicenseRequest(@NonNull() Request request, @NonNull() LicenseRequestCallback callback)This handler can be used to wrap the license request in a new body, add authentication tokens, add HTTP headers, query parameters, ... voidonLicenseResponse(@NonNull() Response response, @NonNull() LicenseResponseCallback callback)This handler can be used to extract the license from a wrapped body, read HTTP response headers, ... -
-
Method Detail
-
onCertificateRequest
void onCertificateRequest(@NonNull() Request request, @NonNull() CertificateRequestCallback callback)
This handler can be used to wrap the certificate request in a new body, add authentication tokens, add HTTP headers, query parameters, ...
-
onCertificateResponse
void onCertificateResponse(@NonNull() Response response, @NonNull() CertificateResponseCallback callback)
This handler can be used to extract the certificate from a wrapped body, read HTTP response headers, ...
-
onLicenseRequest
void onLicenseRequest(@NonNull() Request request, @NonNull() LicenseRequestCallback callback)
This handler can be used to wrap the license request in a new body, add authentication tokens, add HTTP headers, query parameters, ...
-
onLicenseResponse
void onLicenseResponse(@NonNull() Response response, @NonNull() LicenseResponseCallback callback)
This handler can be used to extract the license from a wrapped body, read HTTP response headers, ...
-
-
-
-